.menu {
    position: absolute;
    width: 200px;
    padding: 2px;
    margin: 0;
    border: 1px solid #bbb;
    background: white;
    z-index: 100;
    border-radius: 3px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
    opacity: 0;
    transition: transform 0.1s ease-out, opacity 0.1s ease-out;
    pointer-events: none;
}

.menu-item {
    display: block;
    position: relative;
    margin: 0;
    padding: 0;
    white-space: nowrap;
}

.menu-btn {
    background: none;
    line-height: normal;
    overflow: visible;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    display: block;
    width: 100%;
    /*color: #444;*/
    /*font-family: 'Roboto', sans-serif;*/
    font-size: 13px;
    text-align: left;
    cursor: pointer;
    border: 1px solid transparent;
    white-space: nowrap;
    padding: 6px 8px;
    border-radius: 3px;
}

.menu-btn::-moz-focus-inner, .menu-btn::-moz-focus-inner {
    border: 0;
    padding: 0;
}

.menu-text {
    margin-left: 25px;
}

.menu-btn .fa {
    position: absolute;
    left: 8px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

.menu-item:hover > .menu-btn {
    color: #fff;
    outline: none;
    background-color: dodgerblue;
    background: -webkit-linear-gradient(to bottom, #23C2FF, dodgerblue);
    background: linear-gradient(to bottom, #23C2FF, dodgerblue);
    border: 1px solid #2E3940;
}

.menu-item.disabled {
    opacity: .5;
    pointer-events: none;
}

.menu-item.disabled .menu-btn {
    cursor: default;
}

.menu-separator {
    display: block;
    margin: 7px 5px;
    height: 1px;
    border-bottom: 1px solid #fff;
    background-color: darkgray;
}

.menu-item.submenu::after {
    content: "";
    position: absolute;
    right: 6px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    border: 5px solid transparent;
    border-left-color: #808080;
}

.menu-item.submenu:hover::after {
    border-left-color: #fff;
}

.menu .menu {
    top: 4px;
    left: 99%;
}

.show-menu, .menu-item:hover > .menu {
    opacity: 1;
    pointer-events: auto;
}

.menu-item:hover > .menu {
    -webkit-transition-delay: 100ms;
    transition-delay: 300ms;
}

#athenWebEditor {
    position: sticky;
    top: 0;
    outline: none;
    padding: 0;
    margin: 0;
    border: 0;
    width: 100%;
}

#scrollbarDIV {
    padding: 0;
    margin: 0;
    border: 0;
}

.editorHoverBoard {
    background: honeydew;
    border-style: solid;
    border-width: 1px;
    padding: 0;
    margin: 0;
    position: absolute;
    color: black;
    font: 10px Arial;
}

.athenEditorTooltip {
    background: white;
    border-style: solid;
    z-index: 10;
    padding: 0;
    margin: 0;
    position: absolute;
}

.athenEditorDialog {
    background: white;
    border-style: solid;
    z-index: 12;
    padding: 0;
    margin: 0;
    position: absolute;
}

/*From here everything is related to social network styleing*/

.socialNetworkSettingContainer {
    display: inline-block;
    padding: 10px;
    border-left: 2px solid #898595;

}

#snToolbar {
    /*border-bottom: 2px solid black;*/
    display: grid;
    grid-template-rows: 100%;
    grid-template-columns: auto auto auto;
    /*background: linear-gradient(to right, #a5a1b1, #f6faff);*/

}

.links line {
    stroke: #4d4d4d;
    stroke-opacity: 0.6;
}

.nodes circle {
    stroke: #fff;
    stroke-width: 1.5px;
}

.snTooltip {
    position: absolute;
    text-align: center;
    padding: 2px;
    font: 12px sans-serif;
    /*background: lightsteelblue;*/
    border: 0px;
    border-radius: 8px;
    /*pointer-events: none;*/
    display: none;
    z-index: 1400;
}

.snAttName {
    font-family: Georgia, Verdana, Calibri, Helvetica, Arial, Sans-serif;
    text-decoration: underline;
}

.snCharacteristicsElement {
    /*border-bottom: 2px dashed red;*/
    padding: 4px;
}

.snCharacteristics {
    border: 2px solid #616161;
    border-radius: 5px;
    background: palegoldenrod;
}

/*End social network styling*/

/* for Edit-Annotation-Dialog */
.editAnnotationInvalidJsonId {
    border: 2px solid red !important;
}

.editAnnotationButton {
    float: right;
    margin: 1px 1px 3px !important;
}

.contextmenu {
    list-style: none;
    box-shadow: 0 15px 35px rgba(50, 50, 90, 0.1), 0 5px 15px rgba(0, 0, 0, 0.07);
    z-index: 999999;
}

.contextmenu li {
    border-left: 3px solid transparent;
    transition: ease .2s;
}

.contextmenu li a {
    display: block;
    padding: 10px;
    text-decoration: none;
    transition: ease .2s;
}

.submenu {
    display: none;
}

li:hover .submenu {
    display: block;
    position: absolute;
    top: 0;
    width: 140px;
    right: -200px;
    padding: 0;
}

.submenu li {
    list-style: none;
}

.sm_arrow {
    display: inline-block;
    position: absolute;
    right: 4px;
    top: 12px;
    width: 0;
    height: 0;
    margin-left: 10px;
    border-left: 4px solid;
    border-right: 4px solid transparent;
    border-top: 4px solid transparent;
    border-bottom: 4px solid transparent;
}